# Rspress

<picture>
  <img alt="Rspress Banner" src="https://github.com/web-infra-dev/rspress/assets/39261479/999e7946-45ff-45d5-b9cd-594e634e0e5a">
</picture>

<h2 align="center">A fast Rspack-based static site generator.</h2>

## Features

- **🚀 Fast Startup**: Based on Rust-based build tool and markdown/mdx compiler, the build speed is extremely fast, bringing you the ultimate development experience.
- **📚 MDX Support**: MDX is a powerful way to write content, allowing you to use React components in Markdown.
- **📦 Built-in Full Text Search**: Automatically generates a full-text search index for you during building process, providing out-of-the-box full-text search capabilities.
- **🌈 Static Site Generation**: In production, it automatically builds into static HTML files, which can be easily deployed anywhere.
- **🔌 Providing Plugin System**: Providing a plugin system, you can customize the build process and theme according to your needs.
- **📝 Component Document**: Support multi ways to preview your component demo.

## Getting Started

Go to the [Quick Start](https://rspress.dev/guide/start/getting-started.html) to get started.

## Contribution

Please read the [contributing guide](./CONTRIBUTING.md) and let's build Rspress together.

If you have any questions, you can open an issue or go to [Discord](https://discord.com/invite/Cq6HweJM26) to communicate with us.

### Code of Conduct

This repo has adopted the ByteDance Open Source Code of Conduct. Please check [Code of Conduct](./CODE_OF_CONDUCT.md) for more details.

### Links

| Name                                                       | Description                             |
| ---------------------------------------------------------- | --------------------------------------- |
| [@rspress/mdx-rs](https://github.com/web-infra-dev/mdx-rs) | Rust MDX compiler for Rspress.          |
| [Rspack](https://github.com/web-infra-dev/rspack)          | A fast Rust-based web bundler.          |
| [Rsbuild](https://github.com/web-infra-dev/rsbuild)        | An Rspack-based build tool for the web. |

### License

Rspress is licensed under the [MIT License](./LICENSE).
